/*
 * Copyright (c) 2012 AgroSense.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *
 * Contributors:
 *    AgroSense - initial API and implementation and/or initial documentation
 */
package nl.cloudfarming.client.util;

import org.netbeans.api.autoupdate.UpdateElement;
import org.netbeans.api.autoupdate.UpdateManager;
import org.netbeans.api.autoupdate.UpdateUnit;

/**
 *
 * @author johan
 */
public class VersionUtil {

    /**
     * Lookup the version of an installed module.
     * 
     * @param codeName
     * @return 
     */
    public static String getVersion(String codeName) {
        for (UpdateUnit unit : UpdateManager.getDefault().getUpdateUnits()) {
            UpdateElement element = unit.getInstalled();
            if (element != null && element.getCodeName().equals(codeName)) {
                return element.getSpecificationVersion();
            }
        }
        return "unknown";
    }
}
